Skip to main content
`Ctrl`+`K`

# DMRestoreNamedGlobalVector

restore access to a named, persistent global vector

## Synopsis

    #include "petscdm.h"
    PetscErrorCode DMRestoreNamedGlobalVector(DM dm, const char *name, Vec *X)

Collective

## Input Parameters

- dm - `DM` on which `X` was gotten

- name - name under which `X` was gotten

- X - `Vec` to restore

## See Also

`DM`, `DMGetNamedGlobalVector()`, `DMClearNamedGlobalVectors()`

## Level

developer

## Location

src/dm/interface/dmget.c

## Examples

src/ts/tutorials/ex29.c
src/ts/tutorials/ex30.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages